dbXML API

## org.xmldb.api.tests
Class ResourceTest

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--org.xmldb.api.tests.XMLDBTestCase
                        |
                        +--org.xmldb.api.tests.ResourceTest

All Implemented Interfaces:
  junit.framework.Test

public class ResourceTest
extends XMLDBTestCase

Constructor Summary
`ResourceTest(java.lang.String name)`

Method Summary
`static junit.framework.Test` `suite()`
`void` `testBinaryResource()`
`void` `testStub()`
`void` `testXMLResource()`

Methods inherited from class org.xmldb.api.tests.XMLDBTestCase
`setUp, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, name, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceTest

    public ResourceTest(java.lang.String name)

Method Detail

### suite

    public static junit.framework.Test suite()

### testBinaryResource

    public void testBinaryResource()

### testXMLResource

    public void testXMLResource()

### testStub

    public void testStub()

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved